Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.navigation
Class NavigationHistoryManager

    java.lang.Object
      javax.swing.AbstractListModel
          javax.swing.DefaultListModel
              edu.stanford.smi.protegex.owl.ui.navigation.NavigationHistoryManager

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, ComboBoxModel, ListModel

    public class NavigationHistoryManager

extends DefaultListModel
implements ComboBoxModel, edu.stanford.smi.protege.util.Disposable

An object that manages the navigation history across in a certain context. This object stores all visited resources in a list so that back and forward buttons can be used to navigate. It also registers itself as a ModelListener to the OWLModel to be able to delete entries from the list if they have been deleted.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`NavigationHistoryManager(NavigationHistorySelectable nhc, OWLModel owlModel)` Constructs a new NavigationHistoryManager.

Method Summary
`void` | `add(RDFResource resource)`
`void` | `addIndexListener(ActionListener listener)`
`void` | `back()`
`void` | `dispose()`
`void` | `forward()`
`ResourceSelectionAction` | `getBackAction()`
`ResourceSelectionAction` | `getForwardAction()`
`RDFResource` | `getResource(int index)`
`int` | `getSelectedIndex()`
`Object` | `getSelectedItem()`
`void` | `setSelectedItem(Object anItem)`

Methods inherited from class javax.swing.DefaultListModel
`add, addElement, capacity, clear, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, get, getElementAt, getSize, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, removeAllElements, removeElement, removeElementAt, removeRange, set, setElementAt, setSize, size, toArray, toString, trimToSize`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, getElementAt, getSize, removeListDataListener`

Constructor Detail

### NavigationHistoryManager

    public NavigationHistoryManager(NavigationHistorySelectable nhc,
                                    OWLModel owlModel)

  Constructs a new NavigationHistoryManager. Immediately after construction this should be supplied with an initial entry, using `add`.

  See Also:
    `add(edu.stanford.smi.protegex.owl.model.RDFResource)`

Method Detail

### add

    public void add(RDFResource resource)

### addIndexListener

    public void addIndexListener(ActionListener listener)

### back

    public void back()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### forward

    public void forward()

### getBackAction

    public ResourceSelectionAction getBackAction()

### getResource

    public RDFResource getResource(int index)

### getForwardAction

    public ResourceSelectionAction getForwardAction()

### getSelectedIndex

    public int getSelectedIndex()

### getSelectedItem

    public Object getSelectedItem()

  Specified by:
    `getSelectedItem` in interface `ComboBoxModel`

### setSelectedItem

    public void setSelectedItem(Object anItem)

  Specified by:
    `setSelectedItem` in interface `ComboBoxModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.